Subject: bug#11017: 24.0.94; emacs-lock--kill-emacs-query-functions should ding

From: Michael Heerdegen <[email-masked]>
Date: Sun, 20 Sep 2020 00:36:21 +0200

Lars Ingebrigtsen <[email-masked]> writes:

>   > - Optionally, let the user enter a short note of why he has locked the
>   >   buffer.  Print this when the user tries to kill the buffer/ Emacs.
>   >   Helpful as reminder for people who run Emacs for several days.
>
> It doesn't look like this was implemented?  But it does sound kinda
> useful...  would `M-x lock-buffer' just prompt for a reason?

I would say it would do that when called interactively with a prefix
arg.

Michael.